<script lang="ts" setup>
import type { BaseCTA } from '@/types/base';
import { SecurityWarning } from 'slippers-ui/icons';

interface TeamOpsSpotlight extends BaseCTA {
  list: {
    title: string;
    items?: Array<string>;
  };
}

defineProps<TeamOpsSpotlight>();

const dataAOS = ref({
  animation: 'fade-down',
  duration: 1600,
  offset: 200,
});
</script>
<template>
  <section class="team-ops-spotlight">
    <SlpContainer class="team-ops-spotlight__container">
      <div class="circle-2"></div>
      <div class="circle-3"></div>
      <div class="team-ops-spotlight__content">
        <SlpRow>
          <SlpColumn :cols="6" size="lg">
            <div :data-aos="dataAOS.animation" :data-aos-duration="dataAOS.duration" :data-aos-offset="dataAOS.offset">
              <SlpTypography tag="h2" variant="heading2-bold" class="team-ops-spotlight__title">
                {{ title }}
              </SlpTypography>
            </div>
          </SlpColumn>
        </SlpRow>
        <SlpRow>
          <SlpColumn :cols="5" size="lg" class="team-ops-spotlight__col">
            <div :data-aos="dataAOS.animation" :data-aos-duration="dataAOS.duration" :data-aos-offset="dataAOS.offset">
              <SlpTypography tag="p" variant="heading5-bold">
                {{ subTitle }}
              </SlpTypography>
              <SlpTypography v-if="description" tag="div" variant="body1" class="slp-pt-24">
                <div class="team-ops-spotlight__description" v-html="$md.render(description)"></div>
              </SlpTypography>
              <SlpButton
                v-if="link"
                :href="link.config?.href"
                variant="secondary"
                :data-ga-name="link.config?.dataGaName"
                :data-ga-location="link.config?.dataGaLocation"
                class="team-ops-spotlight__button slp-mt-24"
              >
                {{ link.text }}
              </SlpButton>
            </div>
          </SlpColumn>
          <SlpColumn :cols="1" />
          <SlpColumn :cols="6" size="lg" class="team-ops-spotlight__col">
            <div
              class="team-ops-spotlight__block"
              :data-aos="dataAOS.animation"
              :data-aos-duration="dataAOS.duration"
              :data-aos-offset="dataAOS.offset"
            >
              <SlpTypography tag="p" variant="heading5-bold">
                {{ list.title }}
              </SlpTypography>
              <ul>
                <li v-for="(item, index) in list.items" :key="index" class="team-ops-spotlight__list-item slp-pt-32">
                  <SlpIcon :icon="SecurityWarning" size="sm" slp-color="accent-200" class="slp-mr-16"></SlpIcon>
                  <SlpTypography tag="span" variant="body2-bold">
                    {{ item }}
                  </SlpTypography>
                </li>
              </ul>
            </div>
          </SlpColumn>
        </SlpRow>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.team-ops-spotlight {
  overflow: hidden;
  background: #cddffb;
  position: relative;

  &__title {
    padding-bottom: $spacing-48;
  }

  &__col {
    @media (max-width: $breakpoint-lg) {
      flex: 1 1 100%;
      width: 100%;
    }
  }

  &__container {
    position: relative;
  }

  &__content {
    padding: $spacing-48 0 $spacing-96 0;
    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 0;
    }
  }

  &__description {
    margin: $spacing-16 0;
    &:deep(p) {
      margin: $spacing-16 0;
    }
  }

  &__button {
    &:hover,
    &:focus {
      background: $color-primary-200;
      color: $color-primary-300;
    }
  }

  &__block {
    background: $color-primary-300;
    border: 2px solid $color-primary-200;
    box-shadow: $spacing-32 $spacing-32 #6d9add;
    border-radius: 0 0 90px 0;
    margin-top: $spacing-48;
    padding: $spacing-48 $spacing-24 $spacing-64 $spacing-24;
    width: calc(100% - $spacing-32);
    @media (min-width: $breakpoint-lg) {
      margin-top: 0;
      padding: $spacing-48 $spacing-48 $spacing-64 $spacing-48;
    }
  }
  &__list-item {
    display: flex;
  }
  .circle-2 {
    position: absolute;
    width: 381px;
    height: 381px;
    border: 2px solid #6d9add;
    border-radius: 100%;
    top: -203px;
    right: -315px;
    opacity: 0.2;
    @media (min-width: $breakpoint-sm) {
      right: -290px;
    }
  }
  .circle-3 {
    position: absolute;
    width: 515px;
    height: 515px;
    border: 2px solid #6d9add;
    border-radius: 100%;
    top: -120px;

    left: -395px;
    opacity: 0.2;
    @media (min-width: $breakpoint-sm) {
      left: -340px;
    }
    @media (min-width: $breakpoint-lg) {
      left: 50%;
      transform: translateX(-50%);
    }
  }
}
</style>
